Pod::Spec.new do |s|
    s.name             = 'BJVideoPlayerUI'
    s.version          = '4.8.0'
    s.summary          = 'BJVideoPlayerUI SDK'
    s.description      = "BJVideoPlayerUI SDK for iOS."
    
    s.homepage         = 'https://www.baijiayun.com/'
    s.license          = { :type => 'MIT', :file => 'LICENSE' }
    s.author           = { '辛亚鹏' => 'xinyapeng@baijiahulian.com' }
    s.source           = { :git =>  'https://git2.baijiashilian.com/open-ios/BJVideoPlayerUI.git', :tag => s.version.to_s }
    s.frameworks       = ['CoreGraphics', 'Foundation', 'CoreServices', 'Photos', 'UIKit', 'CoreTelephony', 'CoreMedia', 'AVFoundation', 'AVKit', 'MediaPlayer']

    s.platform      = :ios, ((`xcodebuild -version`.split("\n").first.split(' ').last.to_f > 14.0) ? "11.0" : "10.0")
    s.ios.deployment_target = ((`xcodebuild -version`.split("\n").first.split(' ').last.to_f > 14.0) ? "11.0" : "10.0")
    
    s.requires_arc = true
    s.static_framework = true
    s.swift_version = "5.0"
    
    # use <"> but not <'> for #{s.name} and #{s.version}
    s.pod_target_xcconfig = {
        "CLANG_ALLOW_NON_MODULAR_INCLUDES_IN_FRAMEWORK_MODULES" => "YES", # requies both `user_target_xcconfig` and `pod_target_xcconfig`
        "GCC_PREPROCESSOR_DEFINITIONS" => "$(inherited) BJVIDEOPLAYERUI_NAME=#{s.name} BJVIDEOPLAYERUI_VERSION=#{s.version}",
	    "BUILD_LIBRARY_FOR_DISTRIBUTION" => "YES",
        "DEFINES_MODULE" => "YES",
        "EXCLUDED_ARCHS[sdk=iphonesimulator*]" => "arm64"
    }
    s.user_target_xcconfig = {
        "CLANG_ALLOW_NON_MODULAR_INCLUDES_IN_FRAMEWORK_MODULES" => "YES" # requies both `user_target_xcconfig` and `pod_target_xcconfig`
    }
    
    s.default_subspecs = ['static.source']
    
    ## 源码集成
    s.subspec 'static.source' do |ss|
      ss.source_files = 'BJVideoPlayerUI/Classes/**/*'
      ss.resource_bundles = {
        'BJVideoPlayerUI' => ['BJVideoPlayerUI/**/*.xcassets']
      }
	  
      ss.public_header_files = [
    "BJVideoPlayerUI/Classes/**/BJVideoPlayerUI.h",
    "BJVideoPlayerUI/Classes/**/BJPUViewController.h",
    "BJVideoPlayerUI/Classes/**/BJPUVideoOptions.h",
    "BJVideoPlayerUI/Classes/**/BJPUSignInModel.h",
    "BJVideoPlayerUI/Classes/**/BJPUAppearance.h"
      ]
    end

    s.dependency "BaijiaYun/BJVideoPlayerCore",     "~> 4.8.0"
    s.dependency "BJSwiftBase",					    "~> 4.8.0"
    s.dependency "ExtSwift"
    s.dependency "BaijiaYun/BJPlayerUIBase",        "~> 4.8.0"
    s.dependency "MJRefresh",                       '~> 3.6'
             
end
