//
//  BJPUMediaControlView.h
//  BJVideoPlayerUI
//
//  Created by HuangJie on 2018/3/8.
//

#import <UIKit/UIKit.h>
#import <BJVideoPlayerCore/BJVPlayerManager.h>

NS_ASSUME_NONNULL_BEGIN

@interface BJPUMediaControlView: UIView

- (instancetype)initWithPlayerManager:(BJVPlayerManager *)playerManager;

@property (nonatomic, assign) BOOL slideCanceled;
@property (nonatomic, readonly) BOOL existSubtitle;
@property (nonatomic, readonly) BOOL controlsHidden;
@property (nonatomic, readonly) UIButton *definitionButton;
@property (nonatomic, readonly) UIButton *rateButton;
@property (nonatomic, readonly) UIButton *preButton, *nextButton;

@property (nonatomic, copy) void (^mediaPlayCallback)(void);
@property (nonatomic, copy) void (^mediaPauseCallback)(void);
@property (nonatomic, copy) void (^mediaSeekCallback)(NSTimeInterval toTime);
@property (nonatomic, copy) void (^showRateListCallback)(void);
@property (nonatomic, copy) void (^showDefinitionListCallback)(void);
@property (nonatomic, copy) void (^showAlbumListCallback)(BOOL show);
@property (nonatomic, copy) void (^showSubtitleListCallback)(void);
@property (nonatomic, copy) void (^scaleCallback)(BOOL horizon);
@property (nonatomic, copy) void (^nextMediaPlayCallback)(void);
@property (nonatomic, copy) void (^preMediaPlayCallback)(void);

- (void)updateConstraintsWithLayoutType:(BOOL)horizon;

- (void)updateProgressWithCurrentTime:(NSTimeInterval)currentTime
                        cacheDuration:(NSTimeInterval)cacheDuration
                        totalDuration:(NSTimeInterval)totalDuration;

- (void)updateWithPlayState:(BOOL)playing;

- (void)setSlideEnable:(BOOL)enable;

- (void)setSwitchVideoEnable:(BOOL)enable;

- (void)updateWithRate:(NSString *)rateString;

- (void)updateWithDefinition:(NSString *)definitionString;

- (void)updateSubtitleExist:(BOOL)exist;

- (void)setVideoRateEnable:(BOOL)enable;

- (void)setScaleEnable:(BOOL)enable;

// 是否外部控制专辑按钮
- (void)setExternalAlnumShow:(BOOL)show;

- (void)setControlsHidden:(BOOL)hidden;

- (void)showOrHideControls;

@end

NS_ASSUME_NONNULL_END
