## UI SDK 源码集成 & 自定义修改
以点播 UI SDK 为例，目前点播UI和回放UI都是在同一个demo中集成

### 1、clone UI SDK 至 工程同级目录（示例工程为 BJPlayerManagerUI）。  

 ```objc
 git clone http://git2.baijiashilian.com/open-ios/BJVideoPlayerUI.git

// 如果需要对接回放，也需要讲回放源码clone
 git clone https://git2.baijiashilian.com/open-ios/BJPlaybackUI.git

 ```
![image](https://img.baijiayun.com/0baijiatools/2c1382df378f38d96528e4722b30e74d/82AB4B99-67FE-4F6A-8080-4F86814673B0.png) 

### 2、clone的UI SDK 可使用 git 跟踪。
示例中使用 SourceTree 工具来进行，直接拖入即可，这样可以跟踪到 SDK 的版本更新，再自行决定是否同步到本地。
 
![image](https://img.baijiayun.com/0baijiatools/53dd9ecbec746d3df4cf2422df281661/1DC4219E-1BC2-41F6-9EB5-47D3CAD95302.png) 

![image](https://img.baijiayun.com/0baijiatools/6255b8381be5e9e356e6b3c638685e24/E5A2EB65-70E4-4A4B-A913-98963DFAB6A0.png) 

### 3、在BJPlayerManagerUI工程目录下创建 Podfile，内容如下： 

```objc

source 'https://github.com/CocoaPods/Specs.git'
source 'https://git2.baijiashilian.com/open-ios/specs.git'
	 
	platform :ios, '10.0' 
	target BJPlayerManagerUI_Example do 
	     
    pod 'BJVideoPlayerUI/static.source', :path => '..', :modular_headers => true

	// 如果需要对接回放，此处需要增加回放的本地源码引入， path路径可以根据实际的路径调整
    pod 'BJPlaybackUI/static.source', :path => '../../BJPlaybackUI'
	  
	end 
```

其中“:path => '../ BJPlaybackUI/' ”指定的是 UI SDK 相对于工程目录的路径。指定本地相对路径集成，就不用担心自定义的修改在下次执行 pod update 的时候被覆盖掉。

### 4、 在工程目录下执行 pod install。
成功之后可以使用 Xcode 打开，看到如下内容说明开源集成已成功： 

 ![image](https://img.baijiayun.com/0baijiatools/872cfa70b9a512c4d75e8845bfd62121/CF1EC4DF-F3B4-4AC1-87F0-BC8D2C53459B.png) 

### 5、自定义修改：修改UI SDK的源文件。
这里以 BJPUViewController.m 文件为例。 

  ![image](https://img.baijiayun.com/0baijiatools/c2a26ed9cda9d7848731ccc250248b8c/6B3FE423-5909-4369-9ED7-96A51EC1A95F.png)  
 
 
本地的修改推荐用 SourceTree 进行管理，同时也可以跟踪到远程仓库的修改。 

 ![image](https://img.baijiayun.com/0baijiatools/821dcb03af39f45a2acb2648c793b73e/changeInSourceTree.png)
  
因为 pod 集成的是本地路径的 UI SDK，所以不用担心本地的修改被覆盖，回放 UI SDK 同理。  

